# Acknowledgement

Many parts of Mirae WAVE have been made possible by a series of research projects performed by Mirae Climate Co., Ltd. and supported by Korea Meteorological Administration (KMA).

This software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the authors or copyright holders be liable for any special, direct, indirect, or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an accident of contract, negligence or ther tortious action, arising out of or in connection with the use or performance of this software.

Mirae WAVE is also based in part on the works of the following open source libraries:

##### GDAL

> Copyright (c) 2000, Frank Warmerdam
> 
> Permission is hereby granted, free of charge, to any person obtaining a
> copy of this software and associated documentation files (the "Software"),
> to deal in the Software without restriction, including without limitation
> the rights to use, copy, modify, merge, publish, distribute, sublicense,
> and/or sell copies of the Software, and to permit persons to whom the
> Software is furnished to do so, subject to the following conditions:
> 
> The above copyright notice and this permission notice shall be included
> in all copies or substantial portions of the Software.
> 
> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
> OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
> FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
> THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
> LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
> FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
> DEALINGS IN THE SOFTWARE.

##### Degrib

> The degrib source code is a modified version of code produced by NOAA NWS and is in the public domain subject to the following restrictions:
> 
> http://www.weather.gov/im/softa.htm
> 
> DISCLAIMER The United States Government makes no warranty, expressed or implied, as to the usefulness of the software and documentation for any purpose. The U.S. Government, its instrumentalities, officers, employees, and agents assumes no responsibility (1) for the use of the software and documentation listed below, or (2) to provide technical support to users.

##### NetCDF

> Copyright 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, University Corporation for Atmospheric Research/Unidata.
> 
> Portions of this software were developed by the Unidata Program at the University Corporation for Atmospheric Research.
> 
> Access and use of this software shall impose the following obligations and understandings on the user. The user is granted the right, without any fee or cost, to use, copy, modify, alter, enhance and distribute this software, and any derivative works thereof, and its supporting documentation for any purpose whatsoever, provided that this entire notice appears in all copies of the software, derivative works and supporting documentation. Further, UCAR requests that the user credit UCAR/Unidata in any publications that result from the use of this software or in any product that includes this software, although this is not an obligation. The names UCAR and/or Unidata, however, may not be used in any advertising or publicity to endorse or promote any products or commercial entity unless specific written permission is obtained from UCAR/Unidata. The user also understands that UCAR/Unidata is not obligated to provide the user with any support, consulting, training or assistance of any kind with regard to the use, operation and performance of this software nor to provide the user with any updates, revisions, new versions or "bug fixes."
> 
> THIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.

##### HDF5

> HDF5 (Hierarchical Data Format 5) Software Library and Utilities
> Copyright (c) 2006, The HDF Group. 
> 
> NCSA HDF5 (Hierarchical Data Format 5) Software Library and Utilities
> Copyright (c) 1998-2006, The Board of Trustees of the University of Illinois. 
> 
> All rights reserved.
> 
> Redistribution and use in source and binary forms, with or without 
> modification, are permitted for any purpose (including commercial purposes) 
> provided that the following conditions are met:
> 
> 1. Redistributions of source code must retain the above copyright notice, 
>    this list of conditions, and the following disclaimer.
> 
> 2. Redistributions in binary form must reproduce the above copyright notice, 
>    this list of conditions, and the following disclaimer in the documentation 
>    and/or materials provided with the distribution.
> 
> 3. In addition, redistributions of modified forms of the source or binary 
>    code must carry prominent notices stating that the original code was 
>    changed and the date of the change.
> 
> 4. All publications or advertising materials mentioning features or use of 
>    this software are asked, but not required, to acknowledge that it was 
>    developed by The HDF Group and by the National Center for Supercomputing 
>    Applications at the University of Illinois at Urbana-Champaign and 
>    credit the contributors.
> 
> 5. Neither the name of The HDF Group, the name of the University, nor the 
>    name of any Contributor may be used to endorse or promote products derived 
>    from this software without specific prior written permission from 
>    The HDF Group, the University, or the Contributor, respectively.
> 
> DISCLAIMER: 
> THIS SOFTWARE IS PROVIDED BY THE HDF GROUP AND THE CONTRIBUTORS 
> "AS IS" WITH NO WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED.  In no 
> event shall The HDF Group or the Contributors be liable for any damages 
> suffered by the users arising out of the use of this software, even if 
> advised of the possibility of such damage. 

##### Proj4

##### CryptoPP

##### Jasper

##### JPEG, PNG, ZLIB, CURL, FTGL

This software is based in part on the work of the Independent JPEG Group.
